Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 602422 - Double search results when searching with absent/outdated repo info
Double search results when searching with absent/outdated repo info
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 16:03 EDT by Sandro Mani
Modified: 2010-11-22 16:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-22 16:01:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example screenshot (152.26 KB, image/png)
2010-06-09 16:03 EDT, Sandro Mani
no flags Details

  None (edit)
Description Sandro Mani 2010-06-09 16:03:58 EDT
Created attachment 422684 [details]
Example screenshot

Description of problem:
Launching the search twice with absend / outdated repository info with gpk-application will result in each package matching the search being listed twice

Version-Release number of selected component (if applicable):
gnome-packagekit-2.30.2-1.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. sudo yum clean all
2. launch gpk-application, then write something in the search field (i.e. gedit)
3. give the signal to lauch the search at least twice (i.e. press two times enter, or enter + click on find button or two times click on find button)
4. when all repository information has been downloaded and search results appear, notice each match getting listed twice - find example screenshot attached
  
Actual results:
Douplicate entries

Expected results:
Relevant matches shown only once

Additional info:
Apart from the bug itself, in my opinion the search button should become insensitive while a search operation is being processed (and also the event sent by enter should be ignored) as an additional visual feedback to the user.
Comment 1 Richard Hughes 2010-06-10 05:46:07 EDT
Applied to git master:

commit 901217538fd413077a497583374f4d82c7b48a0c
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jun 10 10:44:43 2010 +0100

    Only mark the find button sensitive if we have valid text _and_ are not searching at this time. Fixes rh#602422

I'll backport to stable (and hence F13) when I do the next upstream release, which is approximately 20 days from now.

Thanks for reporting this bug.

Richard.

Note You need to log in before you can comment on or make changes to this bug.